package fr.unistra.sil.erp.back.controller.web;


import fr.unistra.sil.erp.back.DatabaseSystem;
import static fr.unistra.sil.erp.back.WebMvcConfig.WEB_MAPPING_ITEMS;
import fr.unistra.sil.erp.back.db.DatabaseConnectionException;
import fr.unistra.sil.erp.back.model.Item;
import java.util.List;
import java.util.logging.Level;
import java.util.logging.Logger;
import org.springframework.stereotype.Controller;
import org.springframework.ui.Model;
import org.springframework.web.bind.annotation.GetMapping;

/*
 * CONTRAT DE LICENCE DE LOGICIEL LIBRE CeCILL-B
 * https://cecill.info/licences/Licence_CeCILL-B_V1-fr.html
 */

/**
 * Web Controller for the item list.
 * @author BEAUVAIS ANTOINE
 */
@Controller
public class WebProductsController {
    
    /**
     * Handles the item list view.
     * @param model the view's model.
     * @return the template to use.
     */
    @GetMapping(WEB_MAPPING_ITEMS)
    public String products(Model model)
    {
        try {
            List<Item> li = DatabaseSystem.getInstance().getAllItems();
            model.addAttribute("items", li);
        } catch (DatabaseConnectionException ex) {
            Logger.getLogger(WebProductsController.class.getName()).log(Level.SEVERE, null, ex);
        }
        return "items";
    }
    
}
