/*
 * CONTRAT DE LICENCE DE LOGICIEL LIBRE CECILL-B
 * https://cecill.info/licences/Licence_CeCILL-B_V1-fr.html
 */
package fr.unistra.sil.erp.back.controller.web;

import fr.unistra.sil.erp.back.DatabaseSystem;
import fr.unistra.sil.erp.back.db.DatabaseConnectionException;
import fr.unistra.sil.erp.back.model.RegistryEntry;
import fr.unistra.sil.erp.back.model.Stock;
import java.util.List;
import java.util.logging.Level;
import java.util.logging.Logger;
import org.springframework.stereotype.Controller;
import org.springframework.ui.Model;

/**
 * Web controller for the registry display page.
 * @author antoine.beauvais
 */
@Controller
public class WebRegistryController {
    
    /**
     * Returns the registry view for the Web interface.
     * @param model the model to populate the template with.
     * @return the view.
     */
    @GetMapping("registry")
    public String stocks(Model model) {
        try {
            List<RegistryEntry> lr = DatabaseSystem.getInstance().getRegistry();
            model.addAttribute("stocks", lr);
        } catch (DatabaseConnectionException ex) {
            Logger.getLogger(WebRegistryController.class.getName()).log(Level.SEVERE, null, ex);
        }
        return "registry";
    }
    
}
